PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- SDSS Utilities (`pydl.pydlutils`) »
- cholesky_band

# cholesky_band

`pydl.pydlutils.bspline.``cholesky_band`(l, mininf=0.0, verbose=False)

  Compute Cholesky decomposition of banded matrix.

  Parameters:

  l : `numpy.ndarray`

  > A matrix on which to perform the Cholesky decomposition.

  mininf : `float`, optional

  > Entries in the `l` matrix are considered negative if they are less than this value (default 0.0).

  verbose : `bool`, optional

  > If set to `True`, print some debugging information.

  Returns:

  `tuple()`

  > If problems were detected, the first item will be the index or indexes where the problem was detected, and the second item will simply be the input matrix. If no problems were detected, the first item will be -1, and the second item will be the Cholesky decomposition.